# IntelliPhoto: IntelliPhotoGui Class Reference

IntelliPhotoGui Class Reference

The IntelliPhotoGui class handles the graphical user interface for the intelliPhoto program. More...

`#include <IntelliPhotoGui.h>`

Inheritance diagram for IntelliPhotoGui:
[legend]
Collaboration diagram for IntelliPhotoGui:
[legend]

## Public Member Functions

| IntelliPhotoGui ()
| The IntelliPhotoGui method is the constructor and is used to create a new instance of the main program window. More...

## Protected Member Functions

void | closeEvent (QCloseEvent *event) override

## Detailed Description

The IntelliPhotoGui class handles the graphical user interface for the intelliPhoto program.

Definition at line 22 of file IntelliPhotoGui.h.

## Constructor & Destructor Documentation

## IntelliPhotoGui()

IntelliPhotoGui::IntelliPhotoGui | ( |  | ) |

The IntelliPhotoGui method is the constructor and is used to create a new instance of the main program window.

Definition at line 10 of file IntelliPhotoGui.cpp.

## Member Function Documentation

## closeEvent()

void IntelliPhotoGui::closeEvent | ( | QCloseEvent * | event | ) |

overrideprotected

Definition at line 26 of file IntelliPhotoGui.cpp.

The documentation for this class was generated from the following files:

- intelliphoto/src/GUI/IntelliPhotoGui.h
- intelliphoto/src/GUI/IntelliPhotoGui.cpp